@if (!edit) {
  <div
    class="flex-row full-height full-width"
    [ngClass]="getComponentClasses()"
    (click)="enableEditMode()"
  >
    @if (taServerId != null) {
      @if (hasJenkinsKindServer()) {
        @if (value) {
          <span
            class="field-value-color"
            nz-tooltip
            [sqtmCoreLabelTooltip]="value"
            [ellipsis]="true"
          >
            {{ value }}
          </span>
        } @else {
          <span>-</span>
        }
      } @else {
        <span class="sqtm-core-error-message">{{
          'sqtm-core.automation-workspace.grid.tooltip.squash-tf.server-is-not-jenkins-kind'
            | translate
        }}</span>
      }
    } @else {
      <span class="sqtm-core-error-message">{{
        'sqtm-core.automation-workspace.grid.tooltip.squash-tf.missing-server'
          | translate
      }}</span>
    }
    @if (editable) {
      <i
        class="pencil-icon flex-fixed-size"
        nz-icon
        [nzType]="'edit'"
        nzTheme="outline"
      ></i>
    }
  </div>
}
@if (edit) {
  <div class="flex-column" [ngClass]="getComponentClasses()">
    <div class="flex full-width full-height" style="align-items: center">
      <input #input nz-input [formControl]="formControl" />
      <button nz-button nzType="primary" (click)="confirm()">
        <i nz-icon nzType="check"></i>
      </button>
      <button nz-button nzType="default" (click)="cancel()">
        <i nz-icon nzType="close"></i>
      </button>
      <button nz-button nzType="default" (click)="choose()">
        <i nz-icon nzType="sqtm-core-test-case:browse"></i>
      </button>
    </div>
    @if (dirty && formControl.errors) {
      <div class="flex-column full-width has-error m-t-10">
        @for (error of getErrors(formControl.errors); track error) {
          <span class="sqtm-core-error-message">{{ error }}</span>
        }
      </div>
    }
  </div>
}
